Commit 866c77b5 authored by schneider's avatar schneider
Browse files

fix(mp-ble): Use correct interrupt api

This fixes a potential system panic if there is already an interrupt pending
parent 09fd7099
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
#include "epicardium.h" #include "epicardium.h"
#include "modules/log.h" #include "modules/log.h"
#include "api/interrupt-sender.h" #include "modules/modules.h"
#include "wsf_buf.h" #include "wsf_buf.h"
#include "app_api.h" #include "app_api.h"
...@@ -59,7 +59,7 @@ void ble_epic_ble_api_trigger_event(enum epic_ble_event_type type, void *data) ...@@ -59,7 +59,7 @@ void ble_epic_ble_api_trigger_event(enum epic_ble_event_type type, void *data)
epic_ble_free_event(&e); epic_ble_free_event(&e);
} }
api_interrupt_trigger(EPIC_INT_BLE); interrupt_trigger(EPIC_INT_BLE);
} else { } else {
epic_ble_free_event(&e); epic_ble_free_event(&e);
} }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment